#!/bin/bash
# Bash aliases, interpreted by ~/.bashrc

# Import this machine's local aliases
[ -f ~/.bash_localiases ] && source ~/.bash_localiases

alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias ll='ls -lAh'

alias vi='vim'

alias g++std='g++ -Wall -Wextra -O2 -std=c++11'
alias g++dbg='g++ -Wall -Wextra -g -DDEBUG -std=c++11'
alias g++nazi='g++ -Wall -Wextra -pedantic -std=c++11 -O0'
alias gccstd='gcc -Wall -Wextra -O2'
alias gccdbg='gcc -Wall -Wextra -O0 -DDEBUG -g'
alias gccnazi='gcc -Wall -Wextra -pedantic -O0'
alias obc='obuild configure'
alias obb='obuild build'
alias obi='obuild install'
alias obbi='obuild build && obuild install'
alias obcb='obuild configure && obuild build'
alias obcbi='obuild configure && obuild build && obuild install'

alias ocaml="/usr/bin/rlwrap ocaml"
alias coqtop="/usr/bin/rlwrap coqtop"

alias cpufreq='watch grep \"cpu MHz\" /proc/cpuinfo'

alias xclipboard='xclip -selection clipboard'

alias wine_pulse='PULSE_LATENCY_MSEC=60 wine'

